Page MenuHomeFreeBSD

deskutils/znotes: Add Qt5 OPTION and support
ClosedPublic

Authored by rigoletto on Mar 11 2018, 9:47 PM.

Details

Summary
  • adopt it
  • add Qt5 support

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rigoletto created this revision.Mar 11 2018, 9:47 PM
tcberner added inline comments.Mar 12 2018, 5:54 AM
deskutils/znotes/Makefile
25 ↗(On Diff #40182)

how about flavors?

tcberner added inline comments.Mar 12 2018, 6:18 AM
deskutils/znotes/Makefile
5 ↗(On Diff #40182)

instead of bumping you should maybe change the version number to the something like
0.4.5.20150825

29 ↗(On Diff #40182)

^ is this really needed? It should find LRELEASE on its own.

tcberner added inline comments.Mar 12 2018, 7:06 AM
deskutils/znotes/Makefile
35 ↗(On Diff #40182)

^ propbably you want either to get rid of the NLS option, or move the linguist* deps to NLS_USE=QT[45]=...

mat added inline comments.Mar 12 2018, 10:23 AM
deskutils/znotes/Makefile
5 ↗(On Diff #40182)

it's not a question of "should maybe change" it is a question of must. The upstream version is not the same, so the port version must be updated.

25 ↗(On Diff #40182)

Yes, please.

rigoletto updated this revision to Diff 40217.Mar 12 2018, 8:10 PM
rigoletto marked 7 inline comments as done.

Done. :-)

Should I set Qt5 as default FLAVOR?

Thanks!

mat added a comment.Mar 13 2018, 10:50 AM

This looks good. We currently do not accept flavors that add new packages though, so this change will be able to go in when ports-mgmt/poudriere is updated to 3.3.

rigoletto updated this revision to Diff 40275.Mar 14 2018, 4:55 AM

Updating new maintainer (me) e-mail address.

Thanks! :-D

I guess I will commit this after poudriere 3.3 has landed then, ok?

I guess I will commit this after poudriere 3.3 has landed then, ok?

Fine. 😄

mat accepted this revision.Apr 18 2018, 11:12 AM

accept as portmgr for the flavors part.

This revision is now accepted and ready to land.Apr 18 2018, 11:12 AM
This revision was automatically updated to reflect the committed changes.